html{
    scroll-behavior: smooth;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Poppins, sans-serif;
}

header{
    width: 100%;
    height: 9vh;
    position: fixed;
    background-color: #0033A0;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.336);
    z-index: 1000;
}
#header_filho{
    width: 90%;
    height: 100%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#ilogo{
    width: 200px;
    height: auto;
}
.hm_mb{
    display: none;
}

#header_menu{
    display: flex;
    align-items: center;
    flex-flow: row nowrap;
    gap: 20px;
    list-style: none;
    color: white;
    font-weight: regular;
    font-size: 14px;
    cursor: pointer;
    text-transform: uppercase;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.253);
}
#header_menu li:hover{
    color: #FFD700;
    transition: all 0.3s ease-in-out;
}
#header_menu li:active{
    color: #FFA500;
}
#header_menu #li_contato{
    border: 1px solid #fff;
    padding: 8px 15px;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
}
#header_menu #li_contato:hover{
    background-color: #f5e481c9;
    color: #0033A0;
    transform: scale(1.110);

}
#buttonMenu{
    display: none;
}
#footer_texto{
    color: white;
    font-size: 16px;
}
#section_unidades{
    width: 100%;
    height: auto;
    background-color: #F2F4F7;
    padding: 80px 0px;
}
main{
    background-color: #F2F4F7;

}
#apresentacao{
    width: 100%;
    height: 100vh;
    background-image:
                linear-gradient(170deg, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.4)),
                linear-gradient(10deg, rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.4)),
                url('../imagens/pexels-heyho-6588578.jpg');

    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.253);
}
#apresentacao_filho{
    width: 55%;
    height: 60%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    text-align: center;
    color: white;
}
#apresentacao_filho h1{
    font-size: 28px;
    font-weight: 400;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.653);
    
}
#apresentacao_filho p{
    font-size: 18px;
    font-weight: 400;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.553);
}
#apresentacao_texto{
    width: 100%;
    height: auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    
}
#apresentacao_texto h1{
    animation: fadeUp ease-in-out;
    animation-duration: .8s;
    animation-range: 0% 60%;
}
#apresentacao_texto p{
    animation: fadeUp ease-in-out;
    animation-duration: 1s;
    animation-range: 0% 20%;
}
#btn_sm {
    width: 140px;
    height: 38px;
    font-size: 14px;
    padding: 5px;
    border: none;
    border-radius: 7px;
    background-color: #fff;
    transition: transform 0.3s ease-in-out;
}
#btn_sm:hover{
    background-color: #ccc6c6;
    transform: scale(1.1);
    color: #0033A0;
    cursor: pointer;
}
#btn_sm:active{
    background-color: #aaa2a2;
}
#btn_sm a{
    text-decoration: none;
    width: 140px;
    height: 100%;
    color: #0033A0;
    font-weight: 600;
}
#unidades_filho{
    width: 90%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
    justify-content: center;
}
#unidades_filho h2{
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    font-weight:  700;
    font-size: 36px;
    color: #01133b;
}
#unidades_pai{
    width: 100%;
    height: auto;
    display: flex;
    flex-flow: row nowrap;
    flex-wrap: nowrap;
    gap: 25px;
    justify-content: center;
}

.unidades-container_pai{
    display: flex;
    flex-flow: column nowrap;
    min-width: 385px;
    
}
.unidades-container_pai img{
    width: 100%;
    height: auto;
    border-radius: 10px 10px 0 0;
    ;
}

.unidades-container{
    width: auto;
    max-width: 555px;
    min-width: 385px;
    background-color: #f5f3f8e5;
    height: auto;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.253);
    border-radius: 0 0 10px 10px;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    padding: 20px 27px;
    display: flex;
    justify-content: center;
    flex-flow: column nowrap;
}
.unidades-container img{
    width: 100%;
    height: auto;
    border-radius: 10px 0 0 10px;
    margin-bottom: 15px 0px ;
}
.unidades-container h3{
    color: black;
    text-indent: 10px;
    font-size: 24px;
    font-weight: 600;
    margin: 20px 0;
    text-align: start;
}
.unidades-container p{
    color: #474F59;
    text-indent: 3px;
    padding: 3px 0;
    margin: 10px 0;
    font-size: 16px;
    text-align: left;
}
#produtos{
    width: 100%;
    height: auto;
    padding: 80px 0px;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.136);
}
#produtos_filho{
    width: 90%;
    margin: 40px auto;
    display: flex;
    flex-wrap: wrap;
    flex-flow: row wrap;
    justify-content:  space-evenly;
    align-items: center;
    gap: 38px;
}
.produto_items{
    width: 330px;
    height: auto;
    margin: 0 10px;
    background-color: #f5f3f8e5;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.253);
    border-radius: 10px;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
}
.produto_items:hover{
    transform: scale(1.05);
}
.p_i_img{
    width: 100%;
    height: auto;
}
.p_i_img .img_desc{
    width: 100%;
    height: auto;
}
.p_i_desc{
    width: 90%;
    height: auto;
    padding: 15px 0px;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.p_i_desc h3{
    font-size: 22px;
    font-weight: 600;
    color: #01133b;
    text-align: center;
}
.p_i_desc p{
    font-size: 16px;
    color: #474F59;
    text-align: center;
}
.p_i_desc a{
    text-decoration: none;
    width: 120px;
    height: 35px;
    background-color: #0033A0;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 7px;
    transition: all 0.3s ease-in-out;
}
.p_i_desc a:hover{
    background-color: #0056e0;
    transform: scale(1.1);
}
.p_i_desc a:active{
    background-color: #002080;
}
.p_i_desc a span{
    font-size: 14px;
    font-weight: 600;
}
.carrousel_pai{
    width: 100;
    height: auto;
    background-color: #fffffe;
}
.carrousel_filho{
    width: 85%;
    height: 100%;
    margin: auto;
    padding: 55px 8px;
    display: flex;
    flex-flow: row nowrap;
    
}
.box_texto_carrousel{
    width: 40%;
    height: auto;
    padding: 15px 20px;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

@keyframes fadeUp {
    from {
        opacity: 0;
        translate: 0 14vh;
    }
    to {
        opacity: 1;
        translate: 0 0;
    }
}
@keyframes fadeUpLong {
    from {
        opacity: 0;
        translate: 0 50vh;
    }
    to {
        opacity: 1;
        translate: 0 0;
    }
}

@keyframes esquerdaDireita {
    from {
        opacity: 0;
        translate: -10vh 0 ;
    }
    to {
        opacity: 1;
        translate: 0 0;
    }
}

@keyframes direitaEsquerda {
    from {
        opacity: 0;
        translate: 10vh 0 ;
    }
    to {
        opacity: 1;
        translate: 0 0;
    }
}

#unidade_1{
    animation:  fadeUp ease-in-out;
    animation-duration: 1s;
    animation-range: 0% 24%;
    animation-timeline: view();
}
#unidade_2{
    animation: fadeUp ease-in-out;
    animation-duration: 1s;
    animation-range: 0% 24%;
    animation-timeline: view();
}

@keyframes diagonalEd {
    from{
        opacity: 0;
        translate: -40vw 10vh;
    
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
}

#whats_ico{
    width: 20px;
    height: auto;
    margin-right: 8px;
    vertical-align: middle;
    filter: invert(1);
}
#contacts{
    width: 300px;
    height: auto;
    color: white;
    display: flex;
    gap: 8px;
    flex-flow: column nowrap;
    text-wrap: nowrap;
}
#contacts p {
    display: inline;
}
.icons_card{
    width: 60px;
    color: rgb(0, 0, 0);
    height: auto;
    margin: 20px 8px;
    vertical-align: middle;
    background-color: #F2F4F7;
    box-shadow: -4px 4px 8px rgba(0, 0, 0, 0.24)    ;
    padding: 8px;
    border-radius: 50%;
}
#whyUs{
    width: 90%;
    height: auto;
    margin: 40px auto;
    padding: 80px 0px;
    background-color: #F2F4F7;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    align-items: center;

}
.cards_wu{
    display: flex;
    width: auto;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    text-align: center;
    margin: 0 20px;
    animation: fadeUpLong ease-in-out;
    animation-duration: 1.5s;
    animation-range:  0% cover 44%;
    animation-timeline: view();
}
.cards_wu h3{
    margin-top: 15px;
    font-size: 22px;
    font-weight: 600;
    color: #01133b;
}
.cards_wu p{
    margin-top: 10px;
    font-size: 16px;
    text-align: center;
    color: #474F59;
}
footer{
    width: 100%;
    height: auto;
    background-color: #0033A0;
    color: white;
    display: flex;
    justify-content: center;
    position: relative;
    bottom: 0px;
    padding: 20px 0;
    flex-flow: column nowrap;
    align-items: center;
}
#footer_filho{
    width: 95%;
    height: auto;
    display: flex;
    justify-content: space-around;
    gap: 38px;
    align-items: start;
    flex-flow: row nowrap;
    margin: 20px 0 30px 0;
    padding-bottom: 65px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.479);
}
#footer_logo{
    width: 150px;
    height: auto;
    margin: 15px 30px;
    align-self: center;
}
#span_email{
    text-indent: 0px;
}
#icon_email{
    vertical-align: middle;
    margin-right: 8px;
}
#whats_ico, #call_icon{
    vertical-align: middle;
}
#horarios{
    
    width: auto;
    height: auto;
    color: white;
    display: flex;
    gap: 8px;
    flex-flow: column nowrap;
}
#local{
    width: auto;
    height: auto;
    color: white;
    display: flex;
    gap: 8px;
    flex-flow: column nowrap;
}
#p_f{
    margin-top: 16px;

}


@media screen and (max-width: 1230px) {
    footer #footer_filho{
        flex-flow: row wrap ;
        align-items: center;
        text-align: center;
        gap: 30px;
    }
}

@media screen and (max-width: 1024px) {
    .carrousel_filho{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
    .box_texto_carrousel{
        width: 80%;
    }
    footer #footer_filho{
        flex-flow: row wrap ;
        align-items: center;
        text-align: center;
        gap: 30px;
    }
    
}
@media screen and (max-width: 900px) {
    #unidades_pai{
        flex-wrap: wrap;

    }
    #whyUs{
        flex-flow: row wrap;
    }
    .cards_wu{
        width: 60%;
    }
    footer #footer_filho{
        flex-flow: column nowrap ;
    }
    #footer_logo{
        width: 230px;
    }
    #header_menu{
        flex-flow: column nowrap;
        gap: 35px;
        font-size: 16px;
    }
    #header_menu.hm_pc{
        display: none;
    }
    #buttonMenu{
        display: block;
        cursor: pointer;
    }
    #navbar_i{
        background-color: #0033A0;
        color: #0033A0;
    }
    .offcanvas-body{
        display: flex;
        align-items: center;
        justify-content: center;
    }
}


/* Media Query para telas até 768px */
@media screen and (max-width: 768px) {
    
}

/* Media Query para telas mobile (até 480px) */
@media screen and (max-width: 480px) {
    body{
        overflow-x: hidden;
    }
    header {
        height: 6vh;
    }
    #ilogo{
        width: 150px;
    }
    #apresentacao_filho {
        width: 90%;
        height: 40%;
    }
    .unidades-container {
        width: 100%;
    }
    #produtos_filho {
        flex-direction: column;
        align-items: center;
    }
    iframe{
        display: none;
    }
    .cards_wu{
        width: 80%;
    }
    .unidades-container_pai{
        min-width: 280px;
    }
    .unidades-container{
        min-width: 280px;
    }
    #header_filho, header{
        height: 55px;
    }
    #unidade_1, #unidade_2{
        animation: none;
    }
}